Subject: Re: [ANN] netdev development stats for 7.0 (and some AI review thoughts)

From: Jakub Kicinski <[email-masked]>
Date: Tue, 17 Feb 2026 14:15:00 -0800

On Mon, 16 Feb 2026 00:31:08 +0100 Dawid Osuchowski wrote:
> > One more note on testing, we have completed the migration of NIPA
> > to netdev foundation machines. Due to DRAM shortage, however,
> > the shipment of additional machines is delayed.  
> 
> Just something I noticed that might be connected to this is that the 
> links to "Raw output" in these announcements broke for each previous 
> message you posted.
> 
> It is possible to use the new link convention/format:
> 
> 	Raw output: https://netdev.bots.linux.dev/ml-stats/stats-7.0
> 
> to go back as far as 6.18 stats e.g.:
> 
> 	https://netdev.bots.linux.dev/ml-stats/stats-6.18
> 
> but beyond that (6.17 and older) it doesn't work. The "old" nipa links:
> 
> 	Raw output: https://netdev.bots.linux.dev/static/nipa/stats-6.19/stdout
> 
> are completely broken.

Yup, this is due to the NIPA migration from Meta systems to netdev
foundation machines. I can regenerate the outputs if you need them
(modulo the JSON format changing since), LMK if and how far back.

I did copy the "time based" stats from old machines (3mo, 6mo etc) FWIW:
https://netdev.bots.linux.dev/ml-stats/
which I suspect to be more useful for actionable tracking of activity
than the release-by-release. Release stats are mostly an excuse to send
an email to the list and thank people :)

> P.S. I am using a freshly setup email client on a new machine so 
> apologies if the formatting is wrong on my end. I did send this message 
> to myself for testing and I think it's okay, but I might be missing 
> something :)

Looks fine :)